## ros-one-moveit-ros-visualization 1.1.16-49jammy.20251027.2216

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-49jammy.20251027.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Mon, 27 Oct 2025 22:16:11 +0000

ros-one-moveit-ros-visualization (1.1.16-0jammy) jammy; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.15-0jammy) jammy; urgency=high

  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * rviz joints tab: show goal state model onFinishedExecution()
  * nullspace exploration: reset sliders to zero before hiding (#3613 <https://github.com/ros-planning/moveit/issues/3613>)
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.14-0jammy) jammy; urgency=high

  * Radian/Degree joint value edits in RViz (#3542 <https://github.com/ros-planning/moveit/issues/3542>)
  * Add radio buttons to switch degrees/radians in MotionPlanning's Joints tab (#3516 <https://github.com/ros-planning/moveit/issues/3516>)
  * Fix tab order of widgets in MotionPlanning plugin
  * Remove unused variables (#3507 <https://github.com/ros-planning/moveit/issues/3507>)
  * Contributors: Aaryan Murgunde, Michael Görner, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.13-0jammy) jammy; urgency=high

  * Avoid costly updates of invisible RobotInteractions on query state changes (#3478 <https://github.com/ros-planning/moveit/issues/3478>)
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.12-0jammy) jammy; urgency=high

  * MPD: Resolve namespace ambiguity in RobotInteraction (#3403 <https://github.com/ros-planning/moveit/issues/3403>)
  * Disallow custom string for planning group property in RViz Display (#3346 <https://github.com/ros-planning/moveit/issues/3346>)
  * Fixes to octomap display in PSD (#3385 <https://github.com/ros-planning/moveit/issues/3385>)
  * MPD: maintain current item when updating object list
  * TrajectoryDisplay: sync visibility of links in trail with main robot (#3337 <https://github.com/ros-planning/moveit/issues/3337>)
  * Contributors: Robert Haschke, Simon Schmeisser, Tejal Ashwini Barnwal

 -- Jon Binney <jon.binney@gmail.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.11-0jammy) jammy; urgency=high

  * Fix some consistency issues in PlanningScene handling (#3298 <https://github.com/ros-planning/moveit/issues/3298>)
    
      * Allow Plane collision-object creation from rviz
      * Simplify Cone rendering
      * Visualize PLANE shapes as a large, thin box
    
  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
    
      * Fix error "QBackingStore::endPaint() called with active painter"
      * Remove limitation to one-shape collision objects
      * Fix segfault on object scaling: only update a _valid_ scene marker
      * JointsWidget: Copy full RobotState on updates (attached collision objects were missing)
      * Factor out ``addCollisionObjectToList()`` from ``populateCollisionObjectsList()``
      * Simplify ``MotionPlanningFrame::addSceneObject``
      * Directly call ``populateCollisionObjectsList()`` if possibleCalling was previously deferred into a main loop job, because most
        callers already held a PlanningScene lock, thus causing recursive locking and a deadlock.
        By simply passing the locked scene, these issues can be avoided.
        As a fallback, the PlanningScene lock is still acquired in the function.
      * ``updateQueryStates()`` after removal of attached objects
      * Clear scene objects: only clear locally. To publish changes, one should explicitly click the "Publish" button.
      * Scene Object List: allow extended selection mode
      * always update query states - even if they are disabled for visualization
      * only allow execution if start state is up-to-date
    
  * Merge PR #3227 <https://github.com/ros-planning/moveit/issues/3227>: Improve MotionPlanning plugin's JointsWidget
    * Add units to sliders in JointsWidget and to spinbox editor
    * Avoid need for extra click to operate joint slider
    * allow control of joints via keyboard
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.10-0jammy) jammy; urgency=high

  * Fix rviz segfault when changing move group during execution (#3123 <https://github.com/ros-planning/moveit/issues/3123>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Michael Görner, Robert Haschke, bsygo

 -- Jon Binney <jon.binney@gmail.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.9-0jammy) jammy; urgency=high

  * Add PS3 dual shock model to moveit joy (#3025 <https://github.com/ros-planning/moveit/issues/3025>)
  * Add option to use simulation time for rviz trajectory display (#3055 <https://github.com/ros-planning/moveit/issues/3055>)
  * Contributors: Job van Dieten, Martin Oehler

 -- Jon Binney <jon.binney@gmail.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.8-0jammy) jammy; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.7-0jammy) jammy; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)


## ros-one-moveit-ros-visualization 1.1.16-49jammy.20251208.1010

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-49jammy.20251208.1010) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Mon, 08 Dec 2025 10:10:06 +0000

## ros-one-moveit-ros-visualization 1.1.16-49jammy.20251215.2349

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-49jammy.20251215.2349) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Mon, 15 Dec 2025 23:49:04 +0000

## ros-one-moveit-ros-visualization 1.1.16-49noble.20251027.2248

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-49noble.20251027.2248) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Mon, 27 Oct 2025 22:48:33 +0000

ros-one-moveit-ros-visualization (1.1.16-0noble) noble; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.15-0noble) noble; urgency=high

  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * rviz joints tab: show goal state model onFinishedExecution()
  * nullspace exploration: reset sliders to zero before hiding (#3613 <https://github.com/ros-planning/moveit/issues/3613>)
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.14-0noble) noble; urgency=high

  * Radian/Degree joint value edits in RViz (#3542 <https://github.com/ros-planning/moveit/issues/3542>)
  * Add radio buttons to switch degrees/radians in MotionPlanning's Joints tab (#3516 <https://github.com/ros-planning/moveit/issues/3516>)
  * Fix tab order of widgets in MotionPlanning plugin
  * Remove unused variables (#3507 <https://github.com/ros-planning/moveit/issues/3507>)
  * Contributors: Aaryan Murgunde, Michael Görner, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.13-0noble) noble; urgency=high

  * Avoid costly updates of invisible RobotInteractions on query state changes (#3478 <https://github.com/ros-planning/moveit/issues/3478>)
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.12-0noble) noble; urgency=high

  * MPD: Resolve namespace ambiguity in RobotInteraction (#3403 <https://github.com/ros-planning/moveit/issues/3403>)
  * Disallow custom string for planning group property in RViz Display (#3346 <https://github.com/ros-planning/moveit/issues/3346>)
  * Fixes to octomap display in PSD (#3385 <https://github.com/ros-planning/moveit/issues/3385>)
  * MPD: maintain current item when updating object list
  * TrajectoryDisplay: sync visibility of links in trail with main robot (#3337 <https://github.com/ros-planning/moveit/issues/3337>)
  * Contributors: Robert Haschke, Simon Schmeisser, Tejal Ashwini Barnwal

 -- Jon Binney <jon.binney@gmail.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.11-0noble) noble; urgency=high

  * Fix some consistency issues in PlanningScene handling (#3298 <https://github.com/ros-planning/moveit/issues/3298>)
    
      * Allow Plane collision-object creation from rviz
      * Simplify Cone rendering
      * Visualize PLANE shapes as a large, thin box
    
  * Merge fixes+improvements to ``PlanningScene`` editing in rviz: #3263 <https://github.com/ros-planning/moveit/issues/3263>, #3264 <https://github.com/ros-planning/moveit/issues/3264>, #3296 <https://github.com/ros-planning/moveit/issues/3296>
    
      * Fix error "QBackingStore::endPaint() called with active painter"
      * Remove limitation to one-shape collision objects
      * Fix segfault on object scaling: only update a _valid_ scene marker
      * JointsWidget: Copy full RobotState on updates (attached collision objects were missing)
      * Factor out ``addCollisionObjectToList()`` from ``populateCollisionObjectsList()``
      * Simplify ``MotionPlanningFrame::addSceneObject``
      * Directly call ``populateCollisionObjectsList()`` if possibleCalling was previously deferred into a main loop job, because most
        callers already held a PlanningScene lock, thus causing recursive locking and a deadlock.
        By simply passing the locked scene, these issues can be avoided.
        As a fallback, the PlanningScene lock is still acquired in the function.
      * ``updateQueryStates()`` after removal of attached objects
      * Clear scene objects: only clear locally. To publish changes, one should explicitly click the "Publish" button.
      * Scene Object List: allow extended selection mode
      * always update query states - even if they are disabled for visualization
      * only allow execution if start state is up-to-date
    
  * Merge PR #3227 <https://github.com/ros-planning/moveit/issues/3227>: Improve MotionPlanning plugin's JointsWidget
    * Add units to sliders in JointsWidget and to spinbox editor
    * Avoid need for extra click to operate joint slider
    * allow control of joints via keyboard
  * Contributors: Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.10-0noble) noble; urgency=high

  * Fix rviz segfault when changing move group during execution (#3123 <https://github.com/ros-planning/moveit/issues/3123>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Michael Görner, Robert Haschke, bsygo

 -- Jon Binney <jon.binney@gmail.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.9-0noble) noble; urgency=high

  * Add PS3 dual shock model to moveit joy (#3025 <https://github.com/ros-planning/moveit/issues/3025>)
  * Add option to use simulation time for rviz trajectory display (#3055 <https://github.com/ros-planning/moveit/issues/3055>)
  * Contributors: Job van Dieten, Martin Oehler

 -- Jon Binney <jon.binney@gmail.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.8-0noble) noble; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-visualization (1.1.7-0noble) noble; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)


## ros-one-moveit-ros-visualization 1.1.16-51jammy.20260302.2209

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_ros_visualization)

# definition needed for boost/math/constants/constants.hpp included by Ogre to compile
add_definitions(-DBOOST_MATH_DISABLE_FLOAT128)

find_package(Boost REQUIRED thread date_time system filesystem)
find_package(catkin REQUIRED COMPONENTS
  class_loader
  geometric_shapes
  interactive_markers
  moveit_ros_perception
  moveit_ros_planning_interface
  moveit_ros_robot_interaction
  moveit_ros_warehouse
  object_recognition_msgs
  pluginlib
  rosconsole
  roscpp
  rospy
  rviz
  tf2_eigen
  roscpp
  rosconsole
  object_recognition_msgs
)
moveit_build_options()

# TODO: Remove when Kinetic support is dropped
if(rviz_VERSION VERSION_LESS 1.13.1) # Does rviz support TF2?
  add_definitions(-DRVIZ_TF1)
endif()

find_package(Eigen3 REQUIRED)

# Qt Stuff
if(rviz_QT_VERSION VERSION_LESS "6")
  find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)
  macro(qt_wrap_ui)
    qt5_wrap_ui(${ARGN})
  endmacro()
else()
  find_package(Qt6 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt6::Widgets)
  macro(qt_wrap_ui)
    qt6_wrap_ui(${ARGN})
  endmacro()
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
  LIBRARIES
    moveit_motion_planning_rviz_plugin_core
    moveit_planning_scene_rviz_plugin_core
    moveit_robot_state_rviz_plugin_core
    moveit_rviz_plugin_render_tools
    moveit_trajectory_rviz_plugin_core
  INCLUDE_DIRS
    motion_planning_rviz_plugin/include
    planning_scene_rviz_plugin/include
    robot_state_rviz_plugin/include
    rviz_plugin_render_tools/include
    trajectory_rviz_plugin/include
  CATKIN_DEPENDS
    moveit_ros_planning_interface
    moveit_ros_robot_interaction
    object_recognition_msgs
    roscpp
    rviz
  DEPENDS
    EIGEN3
)

catkin_install_python(PROGRAMS scripts/moveit_joy.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
catkin_python_setup()

include_directories(rviz_plugin_render_tools/include
                    robot_state_rviz_plugin/include
                    planning_scene_rviz_plugin/include
                    motion_planning_rviz_plugin/include
                    trajectory_rviz_plugin/include)

include_directories(SYSTEM
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${EIGEN3_INCLUDE_DIRS}
                    ${QT_INCLUDE_DIR})

add_subdirectory(rviz_plugin_render_tools)
add_subdirectory(robot_state_rviz_plugin)
add_subdirectory(planning_scene_rviz_plugin)
add_subdirectory(motion_planning_rviz_plugin)
add_subdirectory(trajectory_rviz_plugin)

install(FILES
  motion_planning_rviz_plugin_description.xml
  trajectory_rviz_plugin_description.xml
  planning_scene_rviz_plugin_description.xml
  robot_state_rviz_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY icons DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/moveit_joy.test)
endif()

=== motion_planning_rviz_plugin/CMakeLists.txt ===
set(HEADERS
  include/moveit/motion_planning_rviz_plugin/motion_planning_display.h
  include/moveit/motion_planning_rviz_plugin/motion_planning_frame.h
  include/moveit/motion_planning_rviz_plugin/motion_planning_frame_joints_widget.h
  include/moveit/motion_planning_rviz_plugin/motion_planning_param_widget.h
)
qt_wrap_ui(UIC_FILES
  src/ui/motion_planning_rviz_plugin_frame.ui
  src/ui/motion_planning_rviz_plugin_frame_joints.ui
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Plugin Source
set(SOURCE_FILES
  src/motion_planning_frame.cpp
  src/motion_planning_frame_context.cpp
  src/motion_planning_frame_planning.cpp
  src/motion_planning_frame_objects.cpp
  src/motion_planning_frame_scenes.cpp
  src/motion_planning_frame_states.cpp
  src/motion_planning_frame_joints_widget.cpp
  src/motion_planning_display.cpp
  src/motion_planning_frame_manipulation.cpp
  src/motion_planning_param_widget.cpp
  src/icons/icons.qrc
)

set(MOVEIT_LIB_NAME moveit_motion_planning_rviz_plugin)
add_library(${MOVEIT_LIB_NAME}_core ${SOURCE_FILES} ${HEADERS} ${UIC_FILES})
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core
  moveit_rviz_plugin_render_tools
  moveit_planning_scene_rviz_plugin_core
  ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES} ${QT_LIBRARIES} ${Boost_LIBRARIES})

add_library(${MOVEIT_LIB_NAME} src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== robot_state_rviz_plugin/CMakeLists.txt ===

set(MOVEIT_LIB_NAME moveit_robot_state_rviz_plugin)
add_library(${MOVEIT_LIB_NAME}_core
  src/robot_state_display.cpp
  include/moveit/robot_state_rviz_plugin/robot_state_display.h)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_rviz_plugin_render_tools
  ${catkin_LIBRARIES} ${QT_LIBRARIES} ${Boost_LIBRARIES})

add_library(${MOVEIT_LIB_NAME} src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME}_core ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

## ros-one-moveit-ros-visualization 1.1.16-49noble.20251208.1649

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-49noble.20251208.1649) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Mon, 08 Dec 2025 16:49:00 +0000

=== debian/control ===
Source: ros-one-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Jon Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-one-catkin, ros-one-class-loader, ros-one-geometric-shapes, ros-one-interactive-markers, ros-one-moveit-ros-perception, ros-one-moveit-ros-planning-interface, ros-one-moveit-ros-robot-interaction, ros-one-moveit-ros-warehouse, ros-one-object-recognition-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-rviz, ros-one-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometric-shapes, ros-one-interactive-markers, ros-one-moveit-ros-perception, ros-one-moveit-ros-planning-interface, ros-one-moveit-ros-robot-interaction, ros-one-moveit-ros-warehouse, ros-one-object-recognition-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-rviz, ros-one-tf2-eigen
Description: Components of MoveIt that offer visualization

## ros-one-moveit-ros-visualization 1.1.16-49noble.20251215.2347

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-49noble.20251215.2347) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Mon, 15 Dec 2025 23:47:55 +0000

## ros-one-moveit-ros-visualization 1.1.16-50jammy.20260128.2321

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-50jammy.20260128.2321) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Wed, 28 Jan 2026 23:21:04 +0000

## ros-one-moveit-ros-visualization 1.1.16-50noble.20260128.2338

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-50noble.20260128.2338) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Wed, 28 Jan 2026 23:38:48 +0000

## ros-one-moveit-ros-visualization 1.1.16-51jammy.20260302.2209

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-51jammy.20260302.2209) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Mon, 02 Mar 2026 22:09:53 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jon Binney <jon.binney@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-one-catkin, ros-one-class-loader, ros-one-geometric-shapes, ros-one-interactive-markers, ros-one-moveit-ros-perception, ros-one-moveit-ros-planning-interface, ros-one-moveit-ros-robot-interaction, ros-one-moveit-ros-warehouse, ros-one-object-recognition-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-rviz, ros-one-tf2-eigen
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-ros-visualization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-ros-visualization//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-ros-visualization 1.1.16-51noble.20260302.2240

=== debian/changelog ===
ros-one-moveit-ros-visualization (1.1.16-51noble.20260302.2240) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Mon, 02 Mar 2026 22:40:24 +0000
